#include <stdio.h>

int mystrlen(char *str) {
  int length=0;
  if (str!=NULL) {
    while(*str != '\0') {
      str++;
      length++;
    }
  }
  return length;
}

int main() {

  char *fclub = "AS Roma";
  
  printf ("fclub:     %s\n", fclub);
  printf ("1:         %c\n", fclub[1]);

  /* while(*fclub!='\0') { */
  /*   printf ("fclub(c):  '%c'\n", *fclub); */
  /*   fclub++; */
  /* } */

  printf ("length of string '%s': %d\n",  "NULL", mystrlen(NULL));
  
  return 0;
}
